package jp.atwiki.www26.memotech;

import javax.ejb.EJB;
import javax.naming.NamingException;

import org.apache.wicket.PageParameters;
import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.model.Model;
import jp.atwiki.www26.memotech.sfsb.LabelStateBean;
import jp.atwiki.www26.memotech.slsb.LabelBean;

public class HomePage extends WebPage {

	private static final long serialVersionUID = 1L;

	@EJB(name="wicket-ejb3-sample/LabelBeanImpl/local")
	public LabelBean labelBean;
	
	@EJB(name="wicket-ejb3-sample/LabelStateBeanImpl/local")
	public LabelStateBean labelStateBean;
	
	/**
	 * Constructor that is invoked when page is invoked without a session.
	 * 
	 * @param parameters
	 *            Page parameters
	 * @throws NamingException 
	 */
	public HomePage(final PageParameters parameters) {
		
		String message = "未入力";

		final Label messageLabel = new Label("message", labelBean.printHello());
		add(messageLabel);
				
		final Label messageStateLabel = new Label("messageState", labelStateBean.printHello());
		add(messageStateLabel);

		final Label inputMessageLabel = new Label("inputMessage", message);
		add(inputMessageLabel);
		
		final TextField inputField = new TextField("inputField", new Model());
		
		Form submitForm = new Form("submitForm") {
			@Override
			protected void onSubmit() {
				String inputValue = (String) inputField.getModelObject();
				inputMessageLabel.setDefaultModelObject(inputValue);
				
				messageLabel.setDefaultModelObject(labelBean.printHello());
				messageStateLabel.setDefaultModelObject(labelStateBean.printHello());
			}
		};
		
		submitForm.add(inputField);
		add(submitForm);
	}
	
}
